<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_kedvkep_include.php
| Author: Endorfin [Hungary]
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

// Display user field input
if ($profile_method == "input") {
	if (iMEMBER) {
	$user_kedvkep = isset($user_data['user_kedvkep']) ? $user_data['user_kedvkep'] : "";
	if ($this->isError()) { $user_kedvkep = isset($_POST['user_kedvkep']) ? stripinput($_POST['user_kedvkep']) : $user_kedvkep; }

			if ($user_kedvkep=="") {
				echo "<tr>\n";
				echo "<td class='tbl".$this->getErrorClass("user_kedvkep")."'><label for='user_kedvkep'>".$locale['uf_kedvkep_desc'].$required."</label></td>\n";
				echo "<td class='tbl".$this->getErrorClass("user_kedvkep")."'>";
				echo "<input type='file' id='user_kedvkep' name='user_kedvkep' class='textbox' style='width:200px;' /><br />\n";
				echo "<span class='small2'>".$locale['u186']."</span><br />\n";
				echo "<span class='small2'>Max: 1 MB.</span></td>\n";
				echo "</tr>\n";

				if ($required) { $this->setRequiredJavaScript("user_kedvkep", $locale['uf_kedvkep_error']); }

			} else {
				echo "<tr>\n";
				echo "<td class='tbl'>".$locale['uf_kedvkep_desc'].$required.":</td>\n";
				echo "<td class='tbl'><img src='".IMAGES."field_photos/".$user_data['user_kedvkep']."' alt='' /><br />\n";
				echo "<input type='checkbox' name='del_kedvkep' value='y' /> ".$locale['u187']."\n";
				echo "<input type='hidden' name='user_kedvkep' value='".$user_data['user_kedvkep']."' /></td>\n";
				echo "</tr>\n";
			}
	}
// Display in profile
} elseif ($profile_method == "display") {
    if ($user_data['user_kedvkep']) {
          echo "<tr>\n";
          echo "<td class='tbl1'>".$locale['uf_kedvkep_desc']."</td>\n";
          echo "<td align='right' class='tbl1'><img src='".IMAGES."field_photos/".$user_data['user_kedvkep']."' alt='' /></td>\n";
          echo "</tr>\n";
    }
// Insert and update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
	// Get input data
	if (isset($_POST['del_kedvkep'])) {
		if (file_exists(IMAGES."field_photos/".$this->userData['user_kedvkep'])) {
			unlink(IMAGES."field_photos/".$this->userData['user_kedvkep']);
		}
		$this->_setDBValue("user_kedvkep", "");
	}

	if (isset($_FILES['user_kedvkep']) && $_FILES['user_kedvkep']['name'] != "") {
		require_once INCLUDES."infusions_include.php";
			$kedvkepname="";
			$max = RAND(14,14);
			$chars = "abcdefghjkmnpqrstuvwxyz123456789";
			for ($i = 0; $i < $max; $i++) {
				$kedvkepname .= substr($chars, mt_rand(0, strlen($chars) - 1), 1);
			}
		$kedvkepUpload = upload_image(
			"user_kedvkep", "$kedvkepname", IMAGES."field_photos/", "3000", "3000", "3072000", true, true, false,
			"0", IMAGES."field_photos/", "w", "300", "300"
		);
		if ($kedvkepUpload['error'] == 0) {
			if ($this->userData['user_kedvkep'] != "" && file_exists(IMAGES."field_photos/".$this->userData['user_kedvkep'])) {
				unlink(IMAGES."field_photos/".$this->userData['user_kedvkep']);
			}
			$this->_setDBValue("user_kedvkep", $kedvkepUpload['thumb1_name']);
		} elseif ($kedvkepUpload['error'] == 1) {
			$this->_setError("user_kedvkep", $locale['u180']);
		} elseif ($kedvkepUpload['error'] == 2) {
			$this->_setError("user_kedvkep", $locale['u181']);
		} elseif ($kedvkepUpload['error'] == 3) {
			$this->_setError("user_kedvkep", $locale['u182']);
		} elseif ($kedvkepUpload['error'] == 4) {
			// Invalid query string
		} elseif ($kedvkepUpload['error'] == 5) {
			$this->_setError("user_kedvkep", $locale['u183']);
		}

	}

}
?>

